Skip to main content
GET
/
v1
/
models
Error
A valid request URL is required to generate request examples
{
  "models": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "organization": {
        "id": "<string>",
        "name": "<string>"
      },
      "license": {
        "id": "<string>",
        "name": "<string>",
        "allow_commercial": true
      },
      "open_weight": true,
      "model_type": "<string>",
      "modalities": [
        "<string>"
      ],
      "providers": [
        {
          "provider_id": "<string>",
          "provider_name": "<string>",
          "status": "<string>",
          "input_price_per_m": 123,
          "output_price_per_m": 123
        }
      ],
      "top_scores": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "source": "<string>",
      "url": "<string>",
      "family": {
        "id": "<string>",
        "name": "<string>"
      },
      "context_window": 123,
      "param_count": 123,
      "release_date": "2023-12-25"
    }
  ],
  "total": 123,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization
string | null
family
string | null
modality
string | null
open_weight
boolean | null
provider
string | null
min_context
integer | null
max_input_price
number | null
max_output_price
number | null
released_after
string<date> | null
released_before
string<date> | null
sort
string | null
cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

models
ModelSummary · object[]
required
total
integer
required
next_cursor
string | null